Name:           libfds
Version:        0.6.0
Release:        1%{?dist}
Summary:        Flow Data Storage library

License:        BSD
URL:            http://www.liberouter.org/
Source0:        %{name}-%{version}.tar.gz
Group:          Liberouter
Vendor:         CESNET z.s.p.o.
Packager:       Michal Sedlak <sedlakm@cesnet.cz>

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:  gcc >= 4.8, gcc-c++ >= 4.8, cmake >= 2.8.8, make, git
BuildRequires:  libxml2-devel, lz4-devel libzstd-devel
Requires:       libxml2, lz4, libzstd

%description
libfds is a library for processing IPFIX flow data.
It provides tools for processing records and management of templates and
Information Elements.

# Create also devel package with header files
%package        devel
Summary:        Flow Data Storage library (development package)
Group:          Liberouter
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
libfds is a library for processing IPFIX flow data.
It provides tools for processing records and management of templates and
Information Elements.

This package contains header files for libfds.

# Unzip files from tar archive
%prep
%autosetup

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

# Build source code
%build
%global _vpath_builddir .
%cmake .
make %{?_smp_mflags}

# Perform installation into build directory
%install
make install DESTDIR=%{buildroot}

# Run tests
ctest -V %{?_smp_mflags}

%files
%license LICENSE
# %doc add-docs-here
%{_libdir}/libfds.so*
# Configuration
%{_sysconfdir}/libfds/system/*
%config(noreplace) %{_sysconfdir}/libfds/user

%files devel
%{_includedir}/libfds.h
%{_includedir}/libfds/*.h
%{_libdir}/pkgconfig/libfds.pc

%changelog
* Mon Oct 8 2018 Lukas Hutak <lukas.hutak@cesnet.cz> 0.1.0-1
- Initial RPM release
